/**
 * Array filter function to create unique Array.
 * lib.array.newUniqueFilter
 * @example
 *  ["foo", "bar", "foo"].filter(newUniqueFilter());
 *      // -> Create unique array, ["foo", "bar"]
 * @author Taka Okunishi
 *
 */

module.exports = function () {
    return function (value, index, s) {
        return s.indexOf(value) === index;
    };
};